EDIT - feature request #6922
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate term editor
08/23/2017 02:05 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Related issues:
Copied to EDIT - bug #6973: Refreshing details and supplemental view Closed

Associated revisions

Revision e461037f - 08/23/2017 02:05 PM - Patrick Plitzner
fix #6922 Migrate Term Editor

Revision 1ffa011f - 09/15/2017 09:49 AM - Patrick Plitzner

ref #6922 Enable details and supp.Data view for term editor

e fix potential NPEs

Revision 71032ef3 - 09/15/2017 01:01 PM - Patrick Plitzner
ref #6922 Update title of term editor

Revision dbc398cf - 09/22/2017 10:53 AM - Patrick Plitzner
ref #6922, #6925 Close editors when reconnecting

History

#1 - 08/23/2017 02:06 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|e461037f6e4ea8c4al8cas4fd564adde1d66asf.

#2 - 09/15/2017 02:55 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

There are still issues with drag and drop but the rest should work properly
--> ticket #6951, #6952

#3 - 09/20/2017 11:37 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

If one adds a new term and then the label of this term is changed, the new label is not reflected in the label of the supplemental data view (it is still
showing "Feature: Untitled".
After reconnect the label is correct.

#4 - 09/20/2017 11:40 PM - Andreas Miiller

A reconnect does not close the term editor. In €3 it still does.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/e461037f6e4ea8c4a18c9a54fd564adde1d66a8f
https://dev.e-taxonomy.eu/redmine/issues/6951
https://dev.e-taxonomy.eu/redmine/issues/6952

Please also check for other editors. | only checked for term editor.

#5 - 09/20/2017 11:40 PM - Andreas Miiller

All other features seem to work.

#6 - 09/22/2017 10:53 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 80

#7 - 09/22/2017 12:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Now, after reconnect the details view and supplemental data is emptied but when clicking on the empty details view the content of the supplemental
details reappears.

If this can easier be handled after full e4 migration we can live with it for now and close the ticket. But if it is easy to fix we could try to fix it.

Also the missing refresh of the supplemental data view we decided only to handle in next version after full e4 migration therefore it is not yet fixed. But
we should open a new ticket to not forget these issues.

#8 - 09/22/2017 01:44 PM - Patrick Plitzner
- Copied to bug #6973: Refreshing details and supplemental view added

#9 - 09/22/2017 01:44 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100
